内容模块 API

AiCoin内容模块API提供了完整的内容数据接口,包括快讯、资讯、推特(Twitter/X)等多种内容类型。通过这些API,您可以轻松获取和集成AiCoin平台的各类资讯内容,为用户提供及时、专业的加密货币市场资讯服务。


POST/v2/content/ai-coins

AI 币种解读

获取AI对币种的解读和预测。

请求参数

  • Name
    coinKeys
    Type
    array
    Description

    币种ID列表(对应:获取币种列表接口里面的 coin_key)

  • Name
    language
    Type
    string
    Description

    返回数据所需的语言(CN:简体中文,EN:英文,TC:繁体中文;默认为简体中文)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

返回数据

  • Name
    status
    Type
    number
    Description

    状态码,200 表示成功

  • Name
    message
    Type
    string
    Description

    响应消息

  • Name
    success
    Type
    boolean
    Description

    接口状态

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      list
      Type
      array
      Description

      币种列表

      • Name
        coinKey
        Type
        string
        Description

        主键

      • Name
        coinShow
        Type
        string
        Description

        币种显示名称

      • Name
        coinLogo
        Type
        string
        Description

        币种logo

      • Name
        price
        Type
        string
        Description

        价格

      • Name
        degree
        Type
        string
        Description

        涨跌幅

      • Name
        interpret
        Type
        string
        Description

        解读

      • Name
        trend
        Type
        string
        Description

        涨跌色 [rise, fall]

      • Name
        predition
        Type
        string
        Description

        预测

请求

POST
/v2/content/ai-coins
curl -X POST https://open.aicoin.com/api/v2/content/ai-coins \
  -H "Content-Type: application/json" \
  -d '{
    "coinKeys": ["apecoin"],
    "language": "CN",
    "AccessKeyId": "975988f45090561684b7d8f4e45b85c2",
    "SignatureNonce": "2",
    "Timestamp": "1612149637",
    "Signature": "M2Y0ODNlYTUwNDFiMTg5MjRmMGQxNmY1YTMyMzc1NTc5NTUzNDAzYw=="
  }'

响应

{
  "success": true,
  "status": 200,
  "message": "无对应数据信息",
  "data": {
    "list": [
      {
        "coinKey": "apecoin",
        "coinShow": "APE",
        "coinLogo": "http://static.aicoinstorge.com/coin/20220317/164748720890293.png",
        "price": "9.24",
        "degree": "-20.62",
        "interpret": "APE最近推出Ape Chain Layer 3和获得Covalent支持,短期可考虑在价格回调时逢低布局,长期关注生态系统扩大和资金净流入情况。",
        "trend": "rise",
        "predition": "AI看涨"
      }
    ]
  }
}

GET/v2/content/newsflash

获取快讯

获取仅由 AiCoin 发布的快讯信息。

请求参数

  • Name
    language
    Type
    string
    Description

    语言选项:cn(中文)、tc(繁体)、en(英文)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

响应参数

  • Name
    data
    Type
    array
    Description

    返回的数据数组

    • Name
      id
      Type
      integer
      Description

      快讯ID

    • Name
      title
      Type
      string
      Description

      快讯标题

    • Name
      content
      Type
      string
      Description

      快讯内容

    • Name
      language
      Type
      string
      Description

      语言类型

    • Name
      createtime
      Type
      integer
      Description

      发布时间

    • Name
      columnist
      Type
      object
      Description

      作家信息

      • Name
        nick_name
        Type
        string
        Description

        作家昵称

      • Name
        avatar
        Type
        string
        Description

        作家头像

      • Name
        avatar_black
        Type
        string
        Description

        黑夜模式头像

  • Name
    success
    Type
    boolean
    Description

    接口调用状态

  • Name
    errorCode
    Type
    integer
    Description

    状态码

  • Name
    error
    Type
    string
    Description

    错误信息

请求

GET
/v2/content/newsflash
curl -G https://open.aicoin.com/api/v2/content/newsflash \
  -d "language=cn" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "success": true,
  "errorCode": 200,
  "error": "",
  "data": [
    {
      "id": 2821834,
      "title": "Empery Digital 转入 1,795 枚 BTC 至 Gemini",
      "content": "链上数据显示,比特币财库公司 Empery Digital 于约 1 小时前将 1,795 枚 BTC(价值约 1.225 亿美元)转入 Gemini 交易所。",
      "language": "CN", 
      "createtime": 1775058771,
      "columnist": {
        "nick_name": "AiCoin",
        "avatar": "https://static.aicoinstorge.com/falshnews_set/avatar/20250917/175809524966753.jpg",
        "avatar_black": "https://static.aicoinstorge.com/falshnews_set/avatar/20250917/175809525530591.jpg"
      }
    }
  ]
}

GET/v2/content/flashList

获取快讯(行业快讯)

获取行业相关的快讯信息。

请求参数

  • Name
    language
    Type
    string
    Description

    语言选项:cn(中文)、tc(繁体)、en(英文)

  • Name
    createtime
    Type
    integer
    Description

    创建时间

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

响应参数

  • Name
    success
    Type
    boolean
    Description

    接口调用状态

  • Name
    errorCode
    Type
    integer
    Description

    状态码

  • Name
    error
    Type
    string
    Description

    错误信息

  • Name
    data
    Type
    array
    Description

    返回的数据数组

    • Name
      id
      Type
      integer
      Description

      快讯ID

    • Name
      title
      Type
      string
      Description

      快讯标题

    • Name
      content
      Type
      string
      Description

      快讯内容

    • Name
      language
      Type
      string
      Description

      语言类型

    • Name
      createtime
      Type
      integer
      Description

      发布时间

    • Name
      flashType
      Type
      integer
      Description

      快讯类型:

      • 0: 未分类

      • 1: 小币种大额涨跌幅推送

      • 3: 换手率异动推送

      更多类型…
      • 4: 币种价格新高/新低推送

      • 5: 期权最大痛点数据推送

      • 6: CME持仓周报数据推送

      • 7: 期权持仓异动推送

      • 8: 成交量异动推送

      • 10: 指数新高新低

      • 14: 筹码分布推送

      • 15: 市场总体爆仓数据推送

      • 16: BTC插针信号推送

      • 18: 币种关口涨跌破

      • 19: 下周重点关注

      • 20: 资金流向快讯推送

      • 21: 币种上新检测

      • 22: 主力快讯

      • 23: 币种涨跌幅监控(币种价格异动)

      • 24: 最大痛点数据

      • 25: 爆仓单推送

      • 26: OKX期货总持仓量

      • 27: 后市信心不足(主力对后市信心较强)

      • 28: 要闻速递

    • Name
      columnist
      Type
      object
      Description

      作家信息

      • Name
        nick_name
        Type
        string
        Description

        作家昵称

      • Name
        avatar
        Type
        string
        Description

        作家头像

      • Name
        avatar_black
        Type
        string
        Description

        黑夜模式头像

请求

GET
/v2/content/flashList
curl -G https://open.aicoin.com/api/v2/content/flashList \
  -d "language=cn" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "success": true,
  "errorCode": 200,
  "error": "",
  "data": [
    {
      "id": 2821875,
      "title": "某鲸鱼将昨日提取的 1000 枚BTC 再次存入币安",
      "content": "据 Lookonchain 监测,某鲸鱼昨日从币安提取的 1000 枚BTC(价值 6725 万美元)已再次存入币安,若卖出将获利 146 万美元。", 
      "language": "CN",
      "createtime": 1775060326,
      "flashType": 0,
      "columnist": {
        "nick_name": "AiCoin",
        "avatar": "https://static.aicoinstorge.com/falshnews_set/avatar/20250917/175809524966753.jpg",
        "avatar_black": "https://static.aicoinstorge.com/falshnews_set/avatar/20250917/175809525530591.jpg"
      }
    }
  ]
}

GET/v2/content/exchange-listing-flash

获取交易所上线下线币种快讯

获取指定交易所的币种上线下线快讯信息。

请求参数

  • Name
    language
    Type
    string
    Description

    语言选项:cn(中文)、tc(繁体)、en(英文)

  • Name
    memberIds
    Type
    array
    Description

    交易所成员ID列表(最多5个),支持数组和逗号分隔两种格式:

    • 数组格式: memberIds[]=477&memberIds[]=1509
    • 逗号分隔: memberIds=477,1509

    常用交易所ID:

    • 477 = 币安 (Binance)
    • 1509 = Bitget

    默认值: [477, 1509]

  • Name
    pageSize
    Type
    integer
    Description

    页面大小,默认20(可选)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

响应参数

  • Name
    success
    Type
    boolean
    Description

    接口调用状态

  • Name
    errorCode
    Type
    integer
    Description

    状态码

  • Name
    error
    Type
    string
    Description

    错误信息

  • Name
    data
    Type
    array
    Description

    返回的数据数组

    • Name
      id
      Type
      integer
      Description

      快讯ID

    • Name
      title
      Type
      string
      Description

      资讯标题

    • Name
      content
      Type
      string
      Description

      内容

    • Name
      language
      Type
      string
      Description

      语言类型

    • Name
      createtime
      Type
      integer
      Description

      发布时间

    • Name
      newsType
      Type
      integer
      Description

      快讯类型,固定为2,表示交易所快讯类型

请求

GET
/v2/content/exchange-listing-flash
curl -G https://open.aicoin.com/api/v2/content/exchange-listing-flash \
  -d "language=cn" \
  -d "memberIds[]=477" \
  -d "memberIds[]=1509" \
  -d "pageSize=20" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "success": true,
  "errorCode": 200,
  "error": "",
  "data": [
    {
      "id": 404384,
      "title": "BNB/USDT合约升级完成公告",
      "content": "Bitget全球用户:\nBitget已完成本次BNB/USDT合约升级,交易已恢复...",
      "language": "CN",
      "createtime": 1565867889,
      "newsType": 2
    }
  ]
}

GET/v2/content/news-list

获取资讯列表

获取资讯列表信息。

请求参数

  • Name
    page
    Type
    integer
    Description

    当前显示第几页

  • Name
    pageSize
    Type
    integer
    Description

    页面大小(最大值为20)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

响应参数

  • Name
    data
    Type
    array
    Description

    返回的数据数组

    • Name
      id
      Type
      integer
      Description

      资讯id

    • Name
      title
      Type
      string
      Description

      资讯标题

    • Name
      describe
      Type
      string
      Description

      摘要

    • Name
      cover
      Type
      string
      Description

      封面图片

    • Name
      createtime
      Type
      integer
      Description

      发布时间

    • Name
      language
      Type
      integer
      Description

      中英文资讯(10或者0 中文 11 英文)

    • Name
      columnist
      Type
      object
      Description

      作家信息

      • Name
        nick_name
        Type
        string
        Description

        作家昵称

      • Name
        avatar
        Type
        string
        Description

        作家头像

      • Name
        avatar_black
        Type
        string
        Description

        黑夜模式头像

  • Name
    success
    Type
    boolean
    Description

    接口调用状态

  • Name
    errorCode
    Type
    integer
    Description

    状态码

  • Name
    error
    Type
    string
    Description

    错误信息

请求

GET
/v2/content/news-list
curl -G https://open.aicoin.com/api/v2/content/news-list \
  -d "page=1" \
  -d "pageSize=20" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "success": true,
  "errorCode": 200,
  "error": "",
  "data": [
    {
      "id": 55836,
      "title": "比特币突破4.5万美元,创近两年新高",
      "describe": "比特币价格在亚洲交易时段突破4.5万美元关口,创下2022年4月以来新高。分析师认为,此轮上涨主要受到现货ETF获批预期和比特币减半周期临近等因素推动。",
      "cover": "https://static.aicoinstorge.com/article/20231208/btc_price_45k.jpg",
      "createtime": 1702022400,
      "language": 10,
      "columnist": {
        "nick_name": "Sarah Chen",
        "avatar": "https://static.aicoinstorge.com/columnist/20230615/sarah_chen.jpg",
        "avatar_black": "https://static.aicoinstorge.com/columnist/20230615/sarah_chen_dark.jpg"
      }
    }
  ]
}

GET/v2/content/news-detail

获取资讯详情

获取资讯详细内容。

请求参数

  • Name
    id
    Type
    integer
    Description

    资讯id

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

响应参数

  • Name
    success
    Type
    boolean
    Description

    接口调用状态

  • Name
    errorCode
    Type
    integer
    Description

    状态码

  • Name
    error
    Type
    string
    Description

    错误信息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      id
      Type
      integer
      Description

      资讯id

    • Name
      title
      Type
      string
      Description

      资讯标题

    • Name
      describe
      Type
      string
      Description

      摘要

    • Name
      cover
      Type
      string
      Description

      封面图片

    • Name
      createtime
      Type
      integer
      Description

      发布时间

    • Name
      content
      Type
      string
      Description

      内容

    • Name
      source
      Type
      string
      Description

      来源,如 深潮TechFlow

    • Name
      language
      Type
      integer
      Description

      中英文资讯(10或者0 中文 11 英文)

    • Name
      columnist
      Type
      object
      Description

      作家信息

      • Name
        nick_name
        Type
        string
        Description

        作家昵称

      • Name
        avatar
        Type
        string
        Description

        作家头像

      • Name
        avatar_black
        Type
        string
        Description

        黑夜模式头像

请求

GET
/v2/content/news-detail
curl -G https://open.aicoin.com/api/v2/content/news-detail \
  -d "id=55848" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "success": true,
  "errorCode": 200,
  "error": "",
  "data": {
    "id": 55848,
    "title": "比特币突破4.5万美元大关",
    "cover": "https://static.aicoinstorge.com/article/20231208/btc_45k.jpg",
    "source": "AiCoin资讯",
    "createtime": 1702022400,
    "describe": "比特币价格创下近两年新高...",
    "content": "比特币价格在亚洲交易时段突破4.5万美元关口,创下2022年4月以来新高。分析师认为,此轮上涨主要受到现货ETF获批预期和比特币减半周期临近等因素推动...",
    "language": 10,
    "columnist": {
      "nick_name": "Sarah Chen",
      "avatar": "https://static.aicoinstorge.com/columnist/20230615/sarah_chen.jpg",
      "avatar_black": "https://static.aicoinstorge.com/columnist/20230615/sarah_chen_dark.jpg"
    }
  }
}

GET/api/upgrade/v2/content/twitter/latest

获取最新推文

获取最新的推特(Twitter/X)消息,支持游标分页和多语言。

请求参数

  • Name
    page_size
    Type
    integer
    Description

    每页条数,默认 20(可选)

  • Name
    last_time
    Type
    string
    Description

    游标分页,传入上一页最后一条数据的时间戳,用于加载下一页(可选)

  • Name
    language
    Type
    string
    Description

    语言选项:cn(中文)、en(英文)(可选)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      isLive
      Type
      boolean
      Description

      是否正在直播

    • Name
      list
      Type
      array
      Description

      推文列表

      • Name
        id
        Type
        integer
        Description

        推文ID

      • Name
        title
        Type
        string
        Description

        推文标题

      • Name
        content
        Type
        string
        Description

        推文内容

      • Name
        timestamp
        Type
        integer
        Description

        发布时间戳(秒)

      • Name
        isTwitter
        Type
        integer
        Description

        是否为推特消息

      • Name
        avatar
        Type
        string
        Description

        发布者头像URL

      • Name
        commentCount
        Type
        integer
        Description

        评论数

      • Name
        like_count
        Type
        integer
        Description

        点赞数

      • Name
        reply_count
        Type
        integer
        Description

        回复数

      • Name
        retweet_count
        Type
        integer
        Description

        转推数

      • Name
        view_count
        Type
        integer
        Description

        浏览数

      • Name
        source
        Type
        string
        Description

        来源

      • Name
        transContent
        Type
        string
        Description

        翻译后的内容

      • Name
        transTitle
        Type
        string
        Description

        翻译后的标题

      • Name
        tweet_id
        Type
        string
        Description

        推特原始推文ID

      • Name
        shareLink
        Type
        string
        Description

        分享链接

      • Name
        picArray
        Type
        array
        Description

        图片数组

      • Name
        relateArticles
        Type
        array
        Description

        相关文章

      • Name
        person_opinion
        Type
        string
        Description

        个人观点

请求

GET
/api/upgrade/v2/content/twitter/latest
curl -G https://open.aicoin.com/api/upgrade/v2/content/twitter/latest \
  -d "page_size=20" \
  -d "language=cn" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "isLive": 0,
    "list": [
      {
        "id": 2821882,
        "title": "",
        "content": "Crypto super PAC names Tether exec chairman...",
        "timestamp": 1775060958,
        "isTwitter": 1,
        "avatar": "https://static.aicoinstorge.com/falshnews_set/avatar/20250714/175250892096746.jpg",
        "commentCount": 0,
        "like_count": 0,
        "reply_count": 0,
        "retweet_count": 0,
        "view_count": 226,
        "source": "The Block",
        "transContent": "加密超级政治行动委员会任命Tether执行主席...",
        "transTitle": "",
        "tweet_id": "2039379399548481596",
        "shareLink": "https://aicoin.com/zh-CN/flash-details/axzjehdo",
        "picArray": [],
        "relateArticles": [],
        "person_opinion": "null"
      }
    ]
  }
}

GET/api/upgrade/v2/content/twitter/search

根据关键词搜索推特消息。

请求参数

  • Name
    keyword
    Type
    string
    Description

    搜索关键词(必填)

  • Name
    page_size
    Type
    integer
    Description

    每页条数,默认 20(可选)

  • Name
    last_time
    Type
    string
    Description

    游标分页,传入上一页最后一条数据的时间戳(可选)

  • Name
    language
    Type
    string
    Description

    语言选项:cn(中文)、en(英文)(可选)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      list
      Type
      array
      Description

      搜索结果列表

      • Name
        id
        Type
        string
        Description

        快讯ID

      • Name
        title
        Type
        string
        Description

        标题

      • Name
        content
        Type
        string
        Description

        内容

      • Name
        createTime
        Type
        string
        Description

        创建时间戳(字符串格式)

      • Name
        hot
        Type
        boolean
        Description

        是否为热门

      • Name
        latest
        Type
        boolean
        Description

        是否为最新

      • Name
        source
        Type
        string
        Description

        来源

      • Name
        sourceTitle
        Type
        string
        Description

        来源标题

      • Name
        transContent
        Type
        string
        Description

        翻译后的内容

      • Name
        transTitle
        Type
        string
        Description

        翻译后的标题

请求

GET
/api/upgrade/v2/content/twitter/search
curl -G https://open.aicoin.com/api/upgrade/v2/content/twitter/search \
  -d "keyword=bitcoin" \
  -d "page_size=20" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "list": [
      {
        "id": "2821538",
        "title": "美国总统特朗普称伊朗已请求停火",
        "content": "美国总统特朗普表示,伊朗已向美国请求停火。",
        "createTime": "1775047616",
        "hot": 0,
        "latest": 1,
        "source": "AiCoin",
        "transContent": "",
        "transTitle": ""
      }
    ]
  }
}

GET/api/upgrade/v2/content/twitter/members

搜索推特用户

搜索推特用户/KOL信息。

请求参数

  • Name
    word
    Type
    string
    Description

    搜索关键词(必填)

  • Name
    type
    Type
    string
    Description

    类型,默认 "twitter"(可选)

  • Name
    page
    Type
    integer
    Description

    页码,默认 1(可选)

  • Name
    size
    Type
    integer
    Description

    每页条数,默认 20(可选)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      lastId
      Type
      string
      Description

      最后一条记录的ID,用于分页

    • Name
      list
      Type
      array
      Description

      用户列表

      • Name
        memberId
        Type
        string
        Description

        用户ID

      • Name
        name
        Type
        string
        Description

        用户昵称

      • Name
        avatar
        Type
        string
        Description

        用户头像URL

      • Name
        followers
        Type
        string
        Description

        粉丝数(字符串格式)

      • Name
        attention
        Type
        boolean
        Description

        是否已关注

      • Name
        describe
        Type
        string
        Description

        用户简介

      • Name
        labelData
        Type
        array
        Description

        标签数据

      • Name
        subscription
        Type
        boolean
        Description

        是否已订阅

      • Name
        type
        Type
        string
        Description

        用户类型,如 "twitter"

请求

GET
/api/upgrade/v2/content/twitter/members
curl -G https://open.aicoin.com/api/upgrade/v2/content/twitter/members \
  -d "word=vitalik" \
  -d "page=1" \
  -d "size=20" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "lastId": 1606,
    "list": [
      {
        "memberId": "1606",
        "name": "vitalik.eth",
        "avatar": "https://static.aicoin.com/falshnews_set/avatar/20260106/176768652676802.jpg",
        "followers": "6023798",
        "attention": 0,
        "describe": "I choose balance. First-level balance.",
        "labelData": [{"name": "ETH联合创始人", "type": "custom"}],
        "subscription": 0,
        "type": "twitter"
      }
    ]
  }
}

POST/api/upgrade/v2/content/twitter/interaction-stats

获取推文互动统计

批量获取推文的互动统计数据(点赞、转发、评论等)。

请求参数

  • Name
    flash_ids
    Type
    array
    Description

    推文ID数组,1-50个整数(必填)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      stats
      Type
      array
      Description

      统计数据数组

      • Name
        flashId
        Type
        integer
        Description

        推文ID

      • Name
        likeCount
        Type
        integer
        Description

        点赞数

      • Name
        replyCount
        Type
        integer
        Description

        回复数

      • Name
        retweetCount
        Type
        integer
        Description

        转推数

      • Name
        viewCount
        Type
        integer
        Description

        浏览数

请求

POST
/api/upgrade/v2/content/twitter/interaction-stats
curl -X POST https://open.aicoin.com/api/upgrade/v2/content/twitter/interaction-stats \
  -H "Content-Type: application/json" \
  -d '{
    "flash_ids": [2821332, 2821328],
    "AccessKeyId": "YOUR_ACCESS_KEY_ID",
    "SignatureNonce": "RANDOM_NONCE",
    "Timestamp": "CURRENT_TIMESTAMP",
    "Signature": "YOUR_SIGNATURE"
  }'

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "stats": [
      {
        "flashId": 2821328,
        "likeCount": 3,
        "replyCount": 1,
        "retweetCount": 0,
        "viewCount": 284
      },
      {
        "flashId": 2821332,
        "likeCount": 42720,
        "replyCount": 4460,
        "retweetCount": 2589,
        "viewCount": 21988222
      }
    ]
  }
}

GET/api/upgrade/v2/content/newsflash/search

按关键词分页搜索快讯。

请求参数

  • Name
    word
    Type
    string
    Description

    搜索关键词(必填)

  • Name
    page
    Type
    integer
    Description

    页码,默认 1

  • Name
    size
    Type
    integer
    Description

    每页条数,默认 20

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据,透传自上游接口

请求

GET
/api/upgrade/v2/content/newsflash/search
curl -G https://open.aicoin.com/api/upgrade/v2/content/newsflash/search \
  -d "word=bitcoin" \
  -d "page=1" \
  -d "size=20" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "list": [
      {
        "id": 123456,
        "title": "Bitcoin突破10万美元",
        "content": "...",
        "createTime": "2025-01-01 12:00:00"
      }
    ]
  }
}

GET/api/upgrade/v2/content/newsflash/list

快讯列表

获取快讯列表,支持分类、时间筛选、重要性过滤等。

请求参数

  • Name
    last_id
    Type
    string
    Description

    游标分页,上一页最后一条快讯的ID

  • Name
    pagesize
    Type
    integer
    Description

    每页条数,默认 20,最大 50

  • Name
    tab
    Type
    integer
    Description

    分类标签(0-15)

  • Name
    only_important
    Type
    integer
    Description

    是否只显示重要快讯:1=仅重要,0=全部

  • Name
    lan
    Type
    string
    Description

    语言:cn(简体中文)、en(英文)

  • Name
    platform_show
    Type
    string
    Description

    来源平台筛选:aicoin、twitter

  • Name
    date_mode
    Type
    string
    Description

    日期模式:normal(默认)、jump(跳转到指定日期)、range(日期范围)

  • Name
    jump_to_date
    Type
    string
    Description

    跳转日期,格式 YYYY-MM-DD(date_mode=jump 时使用)

  • Name
    start_date
    Type
    string
    Description

    开始日期,格式 YYYY-MM-DD(date_mode=range 时使用)

  • Name
    end_date
    Type
    string
    Description

    结束日期,格式 YYYY-MM-DD(date_mode=range 时使用)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      isLive
      Type
      boolean
      Description

      是否正在直播

    • Name
      list
      Type
      array
      Description

      快讯列表

      • Name
        id
        Type
        integer
        Description

        快讯ID

      • Name
        title
        Type
        string
        Description

        快讯标题

      • Name
        content
        Type
        string
        Description

        快讯内容

      • Name
        timestamp
        Type
        integer
        Description

        发布时间戳(秒)

      • Name
        is_important
        Type
        integer
        Description

        是否重要:0=普通,1=重要

请求

GET
/api/upgrade/v2/content/newsflash/list
curl -G https://open.aicoin.com/api/upgrade/v2/content/newsflash/list \
  -d "pagesize=20" \
  -d "lan=cn" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "isLive": 0,
    "list": [
      {
        "id": 2821875,
        "title": "某鲸鱼将昨日提取的 1000 枚BTC 再次存入币安",
        "content": "据 Lookonchain 监测...",
        "timestamp": 1775060394,
        "is_important": 0
      }
    ]
  }
}

GET/api/upgrade/v2/content/newsflash/detail

快讯详情

获取单条快讯的完整内容。

请求参数

  • Name
    flash_id
    Type
    string
    Description

    快讯ID(必填)

  • Name
    AccessKeyId
    Type
    string
    Description

    用户访问密钥ID

  • Name
    SignatureNonce
    Type
    string
    Description

    签名随机数

  • Name
    Timestamp
    Type
    string
    Description

    请求时间戳(秒),有效期30秒

  • Name
    Signature
    Type
    string
    Description

    使用 HmacSHA1 + Base64 生成的签名,请参考如何获取 API 认证参数

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      id
      Type
      integer
      Description

      快讯ID

    • Name
      title
      Type
      string
      Description

      快讯标题

    • Name
      content
      Type
      string
      Description

      快讯完整内容

    • Name
      timestamp
      Type
      integer
      Description

      发布时间戳(秒)

    • Name
      is_important
      Type
      integer
      Description

      是否重要:0=普通,1=重要

    • Name
      source
      Type
      string
      Description

      来源

请求

GET
/api/upgrade/v2/content/newsflash/detail
curl -G https://open.aicoin.com/api/upgrade/v2/content/newsflash/detail \
  -d "flash_id=2821329" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID" \
  -d "SignatureNonce=RANDOM_NONCE" \
  -d "Timestamp=CURRENT_TIMESTAMP" \
  -d "Signature=YOUR_SIGNATURE"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "id": 2821329,
    "title": "美联储 4月加息 25 个基点概率降至 0.5%",
    "content": "4 月1 日,CME「美联储观察」数据显示...",
    "timestamp": 1775040123,
    "is_important": 1,
    "source": "AiCoin"
  }
}

GET/v2/content/airdrop/list

空投列表

获取空投项目列表,支持按数据源、状态、交易所和活动类型筛选。

请求参数

  • Name
    source
    Type
    string
    Description

    数据源:all(全部)、hodler、xlaunch、earncoin、alpha、bitget_launchpool、bitget_poolx。默认 all。

  • Name
    status
    Type
    string
    Description

    状态筛选:ongoing(进行中)、finished(已结束)。默认 ongoing。

  • Name
    page
    Type
    integer
    Description

    页码,默认 1。

  • Name
    page_size
    Type
    integer
    Description

    每页数量,默认 20。

  • Name
    exchange
    Type
    string
    Description

    交易所筛选。可选。

  • Name
    activity_type
    Type
    string
    Description

    活动类型筛选。可选。

  • Name
    lan
    Type
    string
    Description

    语言:cn(简体中文)、en(英文)、tc(繁体中文)。可选。

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/airdrop/list
curl -G https://open.aicoin.com/api/upgrade/v2/content/airdrop/list \
  -d "source=all" \
  -d "status=ongoing" \
  -d "page=1" \
  -d "page_size=20" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "list": [{"airdropId": "okx_x_launch_123", "projectName": "Lombard X Launch", "tokenSymbol": "BARD", "exchange": "okx", "activityType": "xlaunch", "status": 2}],
    "count": 150
  }
}

GET/v2/content/airdrop/detail

空投详情

获取空投项目详情,支持 HODLer 和 X Launch 两种类型。

请求参数

  • Name
    type
    Type
    string
    Description

    详情类型:hodler 或 xlaunch。必填。

  • Name
    token
    Type
    string
    Description

    项目标识,如 "BARD"。必填。

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      title
      Type
      string
      Description

      项目标题

    • Name
      activityType
      Type
      string
      Description

      活动类型

    • Name
      activityTypeName
      Type
      string
      Description

      活动类型名称

    • Name
      exchange
      Type
      string
      Description

      交易所代码

    • Name
      exchangeName
      Type
      string
      Description

      交易所名称

    • Name
      projectId
      Type
      string
      Description

      项目ID

    • Name
      publishDate
      Type
      string
      Description

      发布日期时间戳(毫秒)

    • Name
      sourceUrl
      Type
      string
      Description

      来源URL

    • Name
      contentMd
      Type
      string
      Description

      Markdown格式详情内容

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/airdrop/detail
curl -G https://open.aicoin.com/api/upgrade/v2/content/airdrop/detail \
  -d "type=xlaunch" \
  -d "token=BARD" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "title": "Lombard X Launch",
    "activityType": "xlaunch",
    "activityTypeName": "X Launch",
    "exchange": "okx",
    "exchangeName": "OKX",
    "projectId": "BARD",
    "publishDate": 1758096000000,
    "sourceUrl": "https://web3.okx.com/zh-hans/boost/x-launch/lombard",
    "contentMd": "# Lombard X Launch (BARD)\n\n## 项目介绍\n\nLombard is building onchain Bitcoin capital markets..."
  }
}

GET/v2/content/airdrop/banner

空投热门Banner

获取热门空投 Banner 信息。

请求参数

  • Name
    limit
    Type
    integer
    Description

    Banner 数量,默认 5。

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      banners
      Type
      array
      Description

      Banner列表

      • Name
        airdropId
        Type
        string
        Description

        空投ID

      • Name
        title
        Type
        string
        Description

        标题

      • Name
        subtitle
        Type
        string
        Description

        副标题

      • Name
        description
        Type
        string
        Description

        描述信息

      • Name
        actionUrl
        Type
        string
        Description

        操作链接

      • Name
        backgroundImage
        Type
        string
        Description

        背景图片URL

      • Name
        buttonText
        Type
        string
        Description

        按钮文字

      • Name
        isOpen
        Type
        boolean
        Description

        是否开放

      • Name
        logo
        Type
        string
        Description

        Logo图片URL

      • Name
        tags
        Type
        array
        Description

        标签列表

      • Name
        times
        Type
        object
        Description

        时间信息,包含 claimEnd、claimStart、endTime、joinEnd、joinStart、launchTime、publishTime、serverTime(均为毫秒时间戳)

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/airdrop/banner
curl -G https://open.aicoin.com/api/upgrade/v2/content/airdrop/banner \
  -d "limit=5" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "banners": [
      {
        "airdropId": "69ccd079a905aa5c73fc1161",
        "title": "Mezo X Launch",
        "subtitle": "OKX X Launch - MEZO奖励",
        "description": "总奖励:4000000 MEZO,参与人数:22206人",
        "activityType": "xlaunch",
        "status": "JOINING",
        "isHot": true,
        "isOpen": true,
        "yieldRate": "0.0%",
        "actionUrl": "https://web3.okx.com/zh-hans/boost/x-launch/mezo",
        "backgroundImage": "",
        "buttonText": "立即参与",
        "logo": "https://web3-announcements.aicoinstorge.com/xlaunch/logo/587_mezo.webp",
        "tags": ["OKX", "X Launch", "Mezo X Launch"],
        "times": {
          "claimEnd": 1776333600000,
          "claimStart": 1775124000000,
          "endTime": 1776333600000,
          "joinEnd": 1775116800000,
          "joinStart": 1775030400000,
          "launchTime": 0,
          "publishTime": 1775030400000,
          "serverTime": 1775061040000
        }
      }
    ]
  }
}

GET/v2/content/airdrop/exchanges

空投交易所列表

获取系统支持的交易所和活动类型信息。

请求参数

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/airdrop/exchanges
curl -G https://open.aicoin.com/api/upgrade/v2/content/airdrop/exchanges \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "exchanges": [{"code": "binance", "name": "Binance", "logo": "https://...", "actives": [{"code": "hodler", "name": "HODLer", "isActive": true}]}]
  }
}

GET/v2/content/airdrop/calendar

空投日历

获取空投日历数据,按年月查询。

请求参数

  • Name
    year
    Type
    integer
    Description

    年份。必填。

  • Name
    month
    Type
    integer
    Description

    月份。必填。

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      events
      Type
      array
      Description

      事件列表

      • Name
        id
        Type
        string
        Description

        事件ID

      • Name
        title
        Type
        string
        Description

        事件标题

      • Name
        airdropType
        Type
        string
        Description

        空投类型

      • Name
        coinShow
        Type
        string
        Description

        币种显示名称

      • Name
        startTime
        Type
        integer
        Description

        开始时间(毫秒时间戳)

      • Name
        endTime
        Type
        integer
        Description

        结束时间(毫秒时间戳)

      • Name
        exchangeLogo
        Type
        string
        Description

        交易所Logo

      • Name
        status
        Type
        string
        Description

        状态

      • Name
        tokenLogo
        Type
        string
        Description

        代币Logo

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/airdrop/calendar
curl -G https://open.aicoin.com/api/upgrade/v2/content/airdrop/calendar \
  -d "year=2026" \
  -d "month=4" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "year": 2026,
    "month": 4,
    "message": "查询成功",
    "events": [
      {
        "id": 25686828,
        "title": "Mezo X Launch",
        "airdropType": "xlaunch",
        "coinShow": "MEZO",
        "exchange": "okx",
        "exchangeLogo": "https://static.aicoinstorge.com/market_img/20220609/165477087581264.png",
        "startTime": 1775030400000,
        "endTime": 1775116800000,
        "status": "JOINING",
        "tokenLogo": "https://web3-announcements.aicoinstorge.com/xlaunch/logo/587_mezo.webp"
      }
    ]
  }
}

GET/v2/content/drop-radar/list

项目列表

获取 Drop Radar 项目列表,支持多维度筛选和排序。

请求参数

  • Name
    page
    Type
    integer
    Description

    页码。可选。

  • Name
    page_size
    Type
    integer
    Description

    每页数量。可选。

  • Name
    status
    Type
    string
    Description

    状态筛选,逗号分隔:CONFIRMED、POTENTIAL、VERIFICATION、SNAPSHOT、DISTRIBUTED。可选。

  • Name
    activity_type
    Type
    string
    Description

    活动类型筛选。可选。

  • Name
    reward_type
    Type
    string
    Description

    奖励类型:Airdrop、Points、Role、Whitelist。可选。

  • Name
    min_total_raise
    Type
    string
    Description

    最小融资额筛选。可选。

  • Name
    max_total_raise
    Type
    string
    Description

    最大融资额筛选。可选。

  • Name
    created_at
    Type
    string
    Description

    创建时间戳(毫秒)。可选。

  • Name
    keyword
    Type
    string
    Description

    关键词搜索。可选。

  • Name
    board_keys
    Type
    string
    Description

    板块筛选,逗号分隔。可选。

  • Name
    eco_keys
    Type
    string
    Description

    生态筛选,逗号分隔。可选。

  • Name
    sort_by
    Type
    string
    Description

    排序字段:status_update_at、moni_score。可选。

  • Name
    sort_order
    Type
    string
    Description

    排序方向:asc、desc。可选。

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      list
      Type
      array
      Description

      项目列表

      • Name
        airdropId
        Type
        string
        Description

        项目ID

      • Name
        projectName
        Type
        string
        Description

        项目名称

      • Name
        projectLogo
        Type
        string
        Description

        项目Logo

      • Name
        tokenSymbol
        Type
        string
        Description

        代币符号

      • Name
        rating
        Type
        integer
        Description

        评分

      • Name
        moniScore
        Type
        integer
        Description

        Moni评分

      • Name
        moniScoreChange
        Type
        number
        Description

        Moni评分变化

      • Name
        status
        Type
        string
        Description

        状态

      • Name
        statusUpdateAt
        Type
        string
        Description

        状态更新时间

      • Name
        rewardType
        Type
        string
        Description

        奖励类型

      • Name
        activityTypes
        Type
        array
        Description

        活动类型列表

      • Name
        checkLink
        Type
        string
        Description

        检查链接

      • Name
        cn_tags
        Type
        array
        Description

        中文标签

      • Name
        cost
        Type
        string
        Description

        参与成本

      • Name
        createdAt
        Type
        string
        Description

        创建时间

      • Name
        ecos
        Type
        array
        Description

        所属生态

      • Name
        funds
        Type
        array
        Description

        投资机构列表

      • Name
        linkToClaim
        Type
        string
        Description

        领取链接

      • Name
        socialLinks
        Type
        object
        Description

        社交链接

      • Name
        taskStats
        Type
        object
        Description

        任务统计

      • Name
        time
        Type
        object
        Description

        时间信息

      • Name
        totalRaise
        Type
        string
        Description

        总融资额

    • Name
      count
      Type
      integer
      Description

      总数

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/list
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/list \
  -d "page=1" \
  -d "page_size=2" \
  -d "sort_by=moni_score" \
  -d "sort_order=desc" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "list": [
      {
        "airdropId": "6912b4cea905aa5c734aa230",
        "projectName": "BNB",
        "projectLogo": "https://web3-announcements.aicoinstorge.com/cryptorank/logo/bnb.png",
        "tokenSymbol": "BNB",
        "rating": 64,
        "moniScore": 37159,
        "moniScoreChange": 0,
        "status": "CONFIRMED",
        "statusUpdateAt": 1726588188079,
        "rewardType": "Points",
        "activityTypes": ["Gaming"],
        "checkLink": "",
        "cost": 0,
        "createdAt": 1726588188079,
        "linkToClaim": "",
        "socialLinks": [{"type": "web", "value": "https://www.bnbchain.org/en"}],
        "taskStats": {"closedCount": 0, "openCount": 1, "totalCount": 1},
        "time": 60,
        "totalRaise": 15000000
      }
    ],
    "count": 1020
  }
}

GET/v2/content/drop-radar/detail

项目详情

获取 Drop Radar 项目详情。

请求参数

  • Name
    airdrop_id
    Type
    string
    Description

    项目ID。必填。

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      airdropId
      Type
      string
      Description

      项目ID

    • Name
      projectName
      Type
      string
      Description

      项目名称

    • Name
      projectLogo
      Type
      string
      Description

      项目Logo

    • Name
      tokenSymbol
      Type
      string
      Description

      代币符号

    • Name
      rating
      Type
      integer
      Description

      评分

    • Name
      moniScore
      Type
      integer
      Description

      Moni评分

    • Name
      status
      Type
      string
      Description

      项目状态

    • Name
      statusUpdateAt
      Type
      string
      Description

      状态更新时间

    • Name
      rewardType
      Type
      string
      Description

      奖励类型

    • Name
      activityTypes
      Type
      array
      Description

      活动类型列表

    • Name
      checkLink
      Type
      string
      Description

      检查链接

    • Name
      cost
      Type
      string
      Description

      参与成本

    • Name
      createdAt
      Type
      string
      Description

      创建时间

    • Name
      linkToClaim
      Type
      string
      Description

      领取链接

    • Name
      totalRaise
      Type
      string
      Description

      总融资额

    • Name
      socialLinks
      Type
      array
      Description

      社交链接列表

    • Name
      tasks
      Type
      array
      Description

      任务列表

      • Name
        id
        Type
        integer
        Description

        任务ID

      • Name
        title
        Type
        string
        Description

        任务标题

      • Name
        description
        Type
        string
        Description

        任务描述(HTML格式)

      • Name
        type
        Type
        string
        Description

        任务类型

      • Name
        status
        Type
        string
        Description

        任务状态

      • Name
        buttonName
        Type
        string
        Description

        按钮名称

      • Name
        buttonUrl
        Type
        string
        Description

        按钮链接

      • Name
        startDate
        Type
        string
        Description

        开始日期

      • Name
        endDate
        Type
        string
        Description

        结束日期

      • Name
        exclusive
        Type
        boolean
        Description

        是否独家

      • Name
        isNew
        Type
        boolean
        Description

        是否新任务

    • Name
      time
      Type
      object
      Description

      时间信息

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/detail
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/detail \
  -d "airdrop_id=6912b4cea905aa5c734aa230" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "airdropId": "6912b4cea905aa5c734aa230",
    "projectName": "BNB",
    "projectLogo": "https://web3-announcements.aicoinstorge.com/cryptorank/logo/bnb.png",
    "tokenSymbol": "BNB",
    "rating": 64,
    "moniScore": 37159,
    "status": "CONFIRMED",
    "statusUpdateAt": 1726588188079,
    "rewardType": "Points",
    "activityTypes": ["Gaming"],
    "checkLink": "",
    "cost": 0,
    "createdAt": 1726588188079,
    "linkToClaim": "",
    "totalRaise": 15000000,
    "socialLinks": [{"type": "web", "value": "https://www.bnbchain.org/en"}],
    "tasks": [
      {
        "id": 790,
        "title": "Telegram game",
        "description": "<p>...</p>",
        "type": "Gaming",
        "status": "OPEN",
        "buttonName": "Play",
        "buttonUrl": "https://t.me/Binance_Moonbix_bot/start?...",
        "startDate": "2024-09-17",
        "endDate": "",
        "exclusive": false,
        "isNew": false
      }
    ],
    "time": 60
  }
}

GET/v2/content/drop-radar/widgets

统计概览

获取 Drop Radar 统计概览数据。

请求参数

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      currentActivityOverview
      Type
      object
      Description

      当前活动概览,包含 awardConfirmed(已确认奖励数)、newActivities(新活动数)、recentlyDistributed(最近分发信息)、rewardsToCheck(待查看奖励数)

    • Name
      hotEvents
      Type
      array
      Description

      热门事件列表

    • Name
      nextRewards
      Type
      array
      Description

      即将发放的奖励列表

    • Name
      source
      Type
      string
      Description

      数据来源

    • Name
      updatedAtMs
      Type
      integer
      Description

      数据更新时间(毫秒时间戳)

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/widgets
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/widgets \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "currentActivityOverview": {
      "awardConfirmed": 393,
      "newActivities": 4,
      "recentlyDistributed": {
        "avgRewardUSD": 400,
        "key": "opinion-labs",
        "logo": "https://web3-announcements.aicoinstorge.com/cryptorank/widgets/img/opinion-labs.png"
      },
      "rewardsToCheck": 40
    },
    "hotEvents": [
      {
        "firstType": "Trading",
        "key": "variational-activity496",
        "logo": "https://...",
        "name": "Variational",
        "top3Funds": [{"logo": "https://...", "name": "Coinbase Ventures"}],
        "totalRaise": 11800000,
        "typesCount": 2,
        "views": 9202
      }
    ],
    "nextRewards": [
      {
        "coin": {"logo": "https://...", "name": "Infinex"},
        "distributeDate": 1769826300000,
        "key": "infinex-activity803",
        "linkToClaim": "https://app.infinex.xyz/airdrops"
      }
    ],
    "source": "cryptorank",
    "updatedAtMs": 1775060768975
  }
}

GET/v2/content/drop-radar/filters

筛选项

获取 Drop Radar 可用的筛选项列表。

请求参数

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

返回数据

  • Name
    code
    Type
    string
    Description

    状态码,"0" 表示成功

  • Name
    msg
    Type
    string
    Description

    响应消息

  • Name
    data
    Type
    object
    Description

    返回数据

    • Name
      boardOptions
      Type
      array
      Description

      板块选项列表,每项含 key、name、order(integer)

    • Name
      ecoOptions
      Type
      array
      Description

      生态选项列表,每项含 key、name、hot(boolean)、logo(string)、order(integer)

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/filters
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/filters \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "boardOptions": [
      {"key": "infrastructure", "name": "基础设施", "order": 2},
      {"key": "defi", "name": "DeFi", "order": 3}
    ],
    "ecoOptions": [
      {"hot": true, "key": "ethereum", "logo": "https://...", "name": "Ethereum", "order": 1},
      {"hot": true, "key": "solana", "logo": "https://...", "name": "Solana", "order": 3}
    ]
  }
}

GET/v2/content/drop-radar/events

事件日历

获取 Drop Radar 项目的事件日历。

请求参数

  • Name
    airdrop_id
    Type
    string
    Description

    项目ID。必填。

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/events
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/events \
  -d "airdrop_id=69a6e6b5" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "events": [{"date": "2026-03-10", "type": "snapshot", "description": "Token snapshot"}]
  }
}

GET/v2/content/drop-radar/team

团队成员

获取 Drop Radar 项目的团队成员信息。

请求参数

  • Name
    airdrop_id
    Type
    string
    Description

    项目ID。必填。

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/team
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/team \
  -d "airdrop_id=69a6e6b5" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "members": [{"name": "John Doe", "role": "CEO", "avatar": "https://...", "twitter": "https://x.com/johndoe"}]
  }
}

GET/v2/content/drop-radar/x-following

X关注列表

获取 Drop Radar 项目的 X(Twitter)关注列表。

请求参数

  • Name
    airdrop_id
    Type
    string
    Description

    项目ID。必填。

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/x-following
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/x-following \
  -d "airdrop_id=69a6e6b5" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "following": [{"screenName": "VitalikButerin", "name": "Vitalik Buterin", "followersCount": 5200000}]
  }
}

GET/v2/content/drop-radar/status-changes

状态变更

获取 Drop Radar 项目的状态变更记录。

请求参数

  • Name
    days
    Type
    integer
    Description

    查询天数范围,默认 7。可选。

  • Name
    page
    Type
    integer
    Description

    页码。可选。

  • Name
    page_size
    Type
    integer
    Description

    每页数量。可选。

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/status-changes
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/status-changes \
  -d "days=7" \
  -d "page=1" \
  -d "page_size=20" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "list": [{"airdropId": "69a6e6b5...", "projectName": "Apyx", "oldStatus": "POTENTIAL", "newStatus": "CONFIRMED", "changedAt": "2026-03-05T10:00:00Z"}],
    "count": 8
  }
}

GET/v2/content/drop-radar/tweets

推文搜索

搜索 Drop Radar 相关项目的推文。

请求参数

  • Name
    keywords
    Type
    string
    Description

    搜索关键词,逗号分隔。必填。

  • Name
    page_size
    Type
    integer
    Description

    每页数量。可选。

  • Name
    last_id
    Type
    string
    Description

    游标分页,上一页最后一条的ID。可选。

  • Name
    lan
    Type
    string
    Description

    语言设置。可选。

鉴权参数

  • Name
    AccessKeyId
    Type
    string
    Description

    您的API访问密钥ID。

请求

GET
/api/upgrade/v2/content/drop-radar/tweets
curl -G https://open.aicoin.com/api/upgrade/v2/content/drop-radar/tweets \
  -d "keywords=apyx,airdrop" \
  -d "page_size=20" \
  -d "AccessKeyId=YOUR_ACCESS_KEY_ID"

响应

{
  "code": "0",
  "msg": "success",
  "data": {
    "list": [{"tweetId": "17890...", "content": "Apyx airdrop is coming...", "author": "CryptoAnalyst", "createdAt": "2026-03-05T08:30:00Z"}]
  }
}

您对本页面是否满意?